> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Assign ACU door license

> Assign ACU door license



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/license/assignACUDoorLicense
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/license/assignACUDoorLicense:
    post:
      tags:
        - License Webservice
      summary: Assign ACU door license
      description: Assign ACU door license
      operationId: assignACUDoorLicense
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/License_AssignACUDoorLicenseWSRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/License_AssignACUDoorLicenseWSResponse'
          description: OK
components:
  schemas:
    License_AssignACUDoorLicenseWSRequest:
      type: object
      description: Request object for assigning ACU door license.
      properties:
        doorUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        licenseUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    License_AssignACUDoorLicenseWSResponse:
      type: object
      description: Response object for assigning ACU door license.
      properties:
        acuDoorLicense:
          $ref: '#/components/schemas/ACUDoorLicenseType'
    ACUDoorLicenseType:
      type: object
      description: >-
        List of access controlled door licenses available for the client
        organization
      properties:
        claimKeyUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        createdOn:
          type: string
          format: date-time
          nullable: true
        doorUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        firstAssignedDate:
          type: string
          format: date-time
          nullable: true
        licenseToUnassignEmailState:
          $ref: '#/components/schemas/LicenseToUnassignEmailStateEnum'
        maxDeleteDate:
          type: string
          format: date-time
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        priorClaimKeyUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        productCode:
          type: string
          nullable: true
        productType:
          $ref: '#/components/schemas/ProductTypeEnum'
        state:
          $ref: '#/components/schemas/LicenseStateEnum'
        trial:
          type: boolean
          nullable: true
        updatedOn:
          type: string
          format: date-time
          nullable: true
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    LicenseToUnassignEmailStateEnum:
      type: string
      enum:
        - INITIAL_EMAIL_SUCCEEDED
        - INITIAL_EMAIL_FAILED
        - FIFTEEN_DAY_WARNING_EMAIL_SUCCEEDED
        - FIFTEEN_DAY_WARNING_EMAIL_FAILED
        - FOURTY_EIGHT_HOUR_WARNING_EMAIL_SUCCEEDED
        - FOURTY_EIGHT_HOUR_WARNING_EMAIL_FAILED
        - UNKNOWN
    ProductTypeEnum:
      type: string
      enum:
        - DEVICE
        - ALERT_MONITORING
        - ACCESS_CONTROL
        - LICENSE_USAGE
        - UNKNOWN
    LicenseStateEnum:
      type: string
      enum:
        - CLAIMED
        - RENEWED
        - PENDING_RETURN
        - NOT_RENEWED
        - EXPIRED
        - PERMANENTLY_EXPIRED
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````